apiVersion: apps/v1
kind: Deployment
metadata:
  name: foo-deployment
  namespace: luky
spec:
  replicas: 1
  selector:
    matchLabels:
      app: foo
  template:
    metadata:
      labels:
        app: foo
    spec:
      containers:
      - name: foo-api
        image: asia.gcr.io/master-streamer-377312/luky/foo:IMAGE_TAG
        imagePullPolicy: IfNotPresent
        ports:
        - containerPort: 5000
        # resources:
        #   limits:
        #     cpu: 128m
        #     memory: 128Mi
        #   requests:
        #     cpu: 128m
        #     memory: 128Mi
      imagePullSecrets:
      - name: gcr-secret